function [residual, g1, g2] = lwz_model_static(y, x, params)
%
% Status : Computes static model for Dynare
%
% Warning : this file is generated automatically by Dynare
%           from model file (.mod)

residual = zeros( 35, 1);

%
% Model equations
%

g = 1+params(4)/100;
lambda_qbar = 1+0.01*params(5);
lambda_kbar = g*lambda_qbar;
delta = 1-(1-params(9))*lambda_kbar;
betaparam = (params(10)*(1.0-g*params(11)/params(7))+params(8)*(1.0-g*params(11)/(lambda_kbar*params(7))))/(params(6)+params(10)*(1.0-params(11))+params(8)*(1.0-delta-params(11))/lambda_kbar);
lambda_abar = g/(params(7)*betaparam)-1.0;
muboe = betaparam*lambda_abar/g;
phi = params(10)*(1.0-betaparam*(1.0+params(11)*lambda_abar))/(params(6)*betaparam);
iy = params(9)*params(8);
by = params(10)*g*params(11)+params(8)*params(11)/lambda_qbar;
ceOY = params(6)-iy-by*(1-betaparam*(1+lambda_abar))/g;
chOY = 1-ceOY-iy;
lhOle = params(12)/params(10);
le = params(14)/(1.0+lhOle);
lh = params(14)-le;
omegah = (g-params(1))*(g-betaparam*(1+lambda_abar)*params(1));
omegae = (g-betaparam*params(2))*(g-params(2));
T117 = (-(g^2+(1+lambda_abar)*betaparam*params(1)^2));
T164 = (-(g^2+betaparam*params(2)^2));
T189 = params(3)*lambda_kbar^2;
T197 = lambda_kbar^2*betaparam*params(3);
T206 = params(11)*muboe/lambda_qbar;
T213 = betaparam*(1-delta)/lambda_kbar;
T227 = params(6)*betaparam*(1-phi)*1/params(8);
T254 = 1/(1+lambda_abar);
T268 = params(6)*(1-phi)/(1-params(6)*(1-phi));
T274 = (1-delta)/lambda_kbar;
T315 = 1-g*params(11)*params(10)/by;
T410 = (-(g*params(11)*params(10)/by));
lhs =omegah*y(1);
rhs =T117*y(10)+g*params(1)*(y(10)-y(17))-(g-params(1))*betaparam*lambda_abar*params(1)*y(24)+params(1)*g*betaparam*(1+lambda_abar)*(y(10)+y(17));
residual(1)= lhs-rhs;
lhs =y(1)+y(2);
rhs =y(26);
residual(2)= lhs-rhs;
lhs =y(1)+y(3);
rhs =betaparam*(1+lambda_abar)*(y(1)+y(3))+(1-betaparam*(1+lambda_abar))*(y(25)-y(13))+betaparam*lambda_abar*y(24);
residual(3)= lhs-rhs;
lhs =y(1)-y(4);
rhs =y(1)+y(24)*lambda_abar/(1+lambda_abar)-y(17);
residual(4)= lhs-rhs;
lhs =omegae*y(5);
rhs =T164*y(11)+g*params(2)*(y(11)-y(17))+params(2)*g*betaparam*(y(17)+y(11));
residual(5)= lhs-rhs;
lhs =y(2);
rhs =y(9)-y(7);
residual(6)= lhs-rhs;
lhs =y(12);
rhs =(1+betaparam)*params(3)*lambda_kbar^2*y(8)-y(8)*T189+T189*(y(17)+y(19))-T197*(y(19)+y(17)+y(8));
residual(7)= lhs-rhs;
lhs =y(5)+y(12);
rhs =T206*(y(6)+y(27))+T213*(y(12)-y(19)-y(17))+y(5)*(1-T206)+T206*(y(12)-y(19))+T227*(y(9)-y(15));
residual(8)= lhs-rhs;
lhs =y(3)+y(5);
rhs =(y(6)+y(27))*params(11)*g*muboe+y(5)*(1-params(11)*g*muboe)+params(11)*g*muboe*(y(17)+y(3))+betaparam*y(3)+(1-betaparam-params(11)*betaparam*lambda_abar)*(y(9)-y(14));
residual(9)= lhs-rhs;
lhs =y(5)-y(4);
rhs =T254*(y(5)-y(17)+lambda_abar*y(6));
residual(10)= lhs-rhs;
lhs =y(9);
rhs =y(14)*params(6)*phi+y(15)*params(6)*(1-phi)+(1-params(6))*y(7)-T268*(y(19)+y(18));
residual(11)= lhs-rhs;
lhs =y(15);
rhs =T274*(y(15)-y(17)-y(19))+y(8)*(1-T274);
residual(12)= lhs-rhs;
lhs =y(9);
rhs =chOY*y(10)+ceOY*y(11)+iy*y(8);
residual(13)= lhs-rhs;
lhs =0;
rhs =y(13)*lh/params(14)+y(14)*le/params(14);
residual(14)= lhs-rhs;
lhs =params(6)*y(9);
rhs =ceOY*y(11)+iy*y(8)+by*1/g*(y(16)-y(17))-by*1/params(7)*(y(16)-y(4));
residual(15)= lhs-rhs;
lhs =y(16);
rhs =y(27)+g*params(11)*params(10)/by*(y(17)+y(3)+y(14))+T315*(y(12)+y(15)-y(19));
residual(16)= lhs-rhs;
lhs =y(18);
rhs =y(20)+y(21)-y(21);
residual(17)= lhs-rhs;
lhs =y(19);
rhs =y(22)+y(23)-y(23);
residual(18)= lhs-rhs;
lhs =y(17);
rhs =y(18)*1/(1-params(6)*(1-phi))+y(19)*T268;
residual(19)= lhs-rhs;
lhs =y(20);
rhs =y(20)*params(15)+x(4);
residual(20)= lhs-rhs;
lhs =y(21);
rhs =y(21)*params(16)+x(5);
residual(21)= lhs-rhs;
lhs =y(22);
rhs =y(22)*params(17)+x(6);
residual(22)= lhs-rhs;
lhs =y(23);
rhs =y(23)*params(18)+x(7);
residual(23)= lhs-rhs;
lhs =y(24);
rhs =y(24)*params(19)+x(1);
residual(24)= lhs-rhs;
lhs =y(25);
rhs =y(25)*params(20)+x(2);
residual(25)= lhs-rhs;
lhs =y(26);
rhs =y(26)*params(21)+x(3);
residual(26)= lhs-rhs;
lhs =y(27);
rhs =y(27)*params(22)+x(8);
residual(27)= lhs-rhs;
lhs =y(34);
rhs =y(10)*chOY/(ceOY+chOY)+y(11)*ceOY/(ceOY+chOY);
residual(28)= lhs-rhs;
lhs =y(28);
rhs =y(17)+log(g);
residual(29)= lhs-rhs;
lhs =y(29);
rhs =y(19)+log(lambda_qbar);
residual(30)= lhs-rhs;
lhs =y(30);
rhs =y(17)+log(g);
residual(31)= lhs-rhs;
lhs =y(31);
rhs =y(17)+log(g);
residual(32)= lhs-rhs;
lhs =y(32);
rhs =y(17)+log(g);
residual(33)= lhs-rhs;
lhs =y(33);
rhs =y(7)+log(params(13));
residual(34)= lhs-rhs;
lhs =y(35);
rhs =iy*y(31)+y(30)*(1-iy);
residual(35)= lhs-rhs;
if ~isreal(residual)
  residual = real(residual)+imag(residual).^2;
end
if nargout >= 2,
  g1 = zeros(35, 35);

%
% Jacobian matrix
%

  g1(1,1)=omegah;
  g1(1,10)=(-(params(1)*g*betaparam*(1+lambda_abar)+T117+g*params(1)));
  g1(1,17)=(-(params(1)*g*betaparam*(1+lambda_abar)+(-(g*params(1)))));
  g1(1,24)=(g-params(1))*betaparam*lambda_abar*params(1);
  g1(2,1)=1;
  g1(2,2)=1;
  g1(2,26)=(-1);
  g1(3,1)=1-betaparam*(1+lambda_abar);
  g1(3,3)=1-betaparam*(1+lambda_abar);
  g1(3,13)=1-betaparam*(1+lambda_abar);
  g1(3,24)=(-(betaparam*lambda_abar));
  g1(3,25)=(-(1-betaparam*(1+lambda_abar)));
  g1(4,4)=(-1);
  g1(4,17)=1;
  g1(4,24)=(-(lambda_abar/(1+lambda_abar)));
  g1(5,5)=omegae;
  g1(5,11)=(-(params(2)*g*betaparam+T164+g*params(2)));
  g1(5,17)=(-(params(2)*g*betaparam+(-(g*params(2)))));
  g1(6,2)=1;
  g1(6,7)=1;
  g1(6,9)=(-1);
  g1(7,8)=(-((1+betaparam)*params(3)*lambda_kbar^2-T189-T197));
  g1(7,12)=1;
  g1(7,17)=(-(T189-T197));
  g1(7,19)=(-(T189-T197));
  g1(8,5)=1-(1-T206);
  g1(8,6)=(-T206);
  g1(8,9)=(-T227);
  g1(8,12)=1-(T206+T213);
  g1(8,15)=T227;
  g1(8,17)=T213;
  g1(8,19)=(-((-T213)-T206));
  g1(8,27)=(-T206);
  g1(9,3)=1-(betaparam+params(11)*g*muboe);
  g1(9,5)=1-(1-params(11)*g*muboe);
  g1(9,6)=(-(params(11)*g*muboe));
  g1(9,9)=(-(1-betaparam-params(11)*betaparam*lambda_abar));
  g1(9,14)=1-betaparam-params(11)*betaparam*lambda_abar;
  g1(9,17)=(-(params(11)*g*muboe));
  g1(9,27)=(-(params(11)*g*muboe));
  g1(10,4)=(-1);
  g1(10,5)=1-T254;
  g1(10,6)=(-(lambda_abar*T254));
  g1(10,17)=T254;
  g1(11,7)=(-(1-params(6)));
  g1(11,9)=1;
  g1(11,14)=(-(params(6)*phi));
  g1(11,15)=(-(params(6)*(1-phi)));
  g1(11,18)=T268;
  g1(11,19)=T268;
  g1(12,8)=(-(1-T274));
  g1(12,15)=1-T274;
  g1(12,17)=T274;
  g1(12,19)=T274;
  g1(13,8)=(-iy);
  g1(13,9)=1;
  g1(13,10)=(-chOY);
  g1(13,11)=(-ceOY);
  g1(14,13)=(-(lh/params(14)));
  g1(14,14)=(-(le/params(14)));
  g1(15,4)=(-(by*1/params(7)));
  g1(15,8)=(-iy);
  g1(15,9)=params(6);
  g1(15,11)=(-ceOY);
  g1(15,16)=(-(by*1/g-by*1/params(7)));
  g1(15,17)=by*1/g;
  g1(16,3)=T410;
  g1(16,12)=(-T315);
  g1(16,14)=T410;
  g1(16,15)=(-T315);
  g1(16,16)=1;
  g1(16,17)=T410;
  g1(16,19)=T315;
  g1(16,27)=(-1);
  g1(17,18)=1;
  g1(17,20)=(-1);
  g1(18,19)=1;
  g1(18,22)=(-1);
  g1(19,17)=1;
  g1(19,18)=(-(1/(1-params(6)*(1-phi))));
  g1(19,19)=(-T268);
  g1(20,20)=1-params(15);
  g1(21,21)=1-params(16);
  g1(22,22)=1-params(17);
  g1(23,23)=1-params(18);
  g1(24,24)=1-params(19);
  g1(25,25)=1-params(20);
  g1(26,26)=1-params(21);
  g1(27,27)=1-params(22);
  g1(28,10)=(-(chOY/(ceOY+chOY)));
  g1(28,11)=(-(ceOY/(ceOY+chOY)));
  g1(28,34)=1;
  g1(29,17)=(-1);
  g1(29,28)=1;
  g1(30,19)=(-1);
  g1(30,29)=1;
  g1(31,17)=(-1);
  g1(31,30)=1;
  g1(32,17)=(-1);
  g1(32,31)=1;
  g1(33,17)=(-1);
  g1(33,32)=1;
  g1(34,7)=(-1);
  g1(34,33)=1;
  g1(35,30)=(-(1-iy));
  g1(35,31)=(-iy);
  g1(35,35)=1;
  if ~isreal(g1)
    g1 = real(g1)+2*imag(g1);
  end
end
if nargout >= 3,
%
% Hessian matrix
%

  g2 = sparse([],[],[],35,1225);
end
end
